For the complete documentation index, see llms.txt. This page is also available as Markdown.

Raw Transactions (Advanced)

1. Create a Bid Pool

This operation creates a bid pool for a specific collection.

post

Inialize bid pool

Body
interestratestringOptionalExample: 1
graceperiodstringOptionalExample: 10
collectionstringOptionalExample: 1
loandurationstringOptionalExample: 10
secretstringOptionalExample: 10
rawbooleanOptionalExample: true
Responses
200

Successful response

application/json; charset=utf-8
msgstringOptionalExample: successful
post/createLoanPool
POST /createLoanPool HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 101

{
  "interestrate": "1",
  "graceperiod": "10",
  "collection": "1",
  "loanduration": "10",
  "secret": "10",
  "raw": true
}
{
  "msg": "successful"
}

2. Get Bid Pool

This operation retrieves the bid pool.

get

Get all bid pool

Responses
200

Successful response

application/json; charset=utf-8
statusbooleanOptional
get/getLoanPool
GET /getLoanPool HTTP/1.1
Accept: */*
[
  {
    "status": true,
    "data": [
      {
        "publicKey": "text",
        "account": {
          "initializerKey": "text",
          "collectionAddress": "text",
          "loanDurationInMinutes": "text",
          "gracePeriodInMinutes": "text",
          "apy": 1,
          "interestRateLender": 1,
          "interestRateProtocol": 1,
          "totalBidManager": "text",
          "lastBidLamports": "text"
        }
      }
    ]
  }
]

3. Add Liquidity

This operation adds liquidity to a created Bid Pool.

post

Initialize a bid manager

Body
biddingoolstringOptionalExample: 1
bidamountstringOptionalExample: 100
totalbidsstringOptionalExample: 10
secretstringOptionalExample: abcd
rawbooleanOptionalExample: false
Responses
200

Successful response

application/json; charset=utf-8
msgstringOptionalExample: successful
post/addLoanOffer
POST /addLoanOffer HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 83

{
  "biddingool": "1",
  "bidamount": "100",
  "totalbids": "10",
  "secret": "abcd",
  "raw": "false"
}
{
  "msg": "successful"
}

4. Get Bid Manager

This operation retrieves the bid manager.

get

get All bid managers

Responses
200

Successful response

application/json; charset=utf-8
statusbooleanOptional
get/getLoanOffers
GET /getLoanOffers HTTP/1.1
Accept: */*
[
  {
    "status": true,
    "data": [
      {
        "publicKey": "text",
        "account": {
          "bidderPubkey": "text",
          "biddingAmountInLamports": "text",
          "biddingNftFloorPrice": 1,
          "biddingPoolAddress": "text",
          "borrowersNftTokenAccountAddress": "text",
          "borrowersAddress": "text",
          "biddingManagerBump": 1,
          "totalBids": "text",
          "pendingLoans": "text"
        }
      }
    ]
  }
]

5. Get User Assets

This operation retrieves the assets of a specific user.

6. Get Asset Manager

This operation retrieves the asset manager.

get

Retrieves the assets owned by a specific user.

Path parameters
mintstringOptionalExample: 7YeSmq9njjsyr4Axb1LDzdooUaVJThXdgHE4Z6Gpaa3h
Responses
200

Successful response

application/json; charset=utf-8
publicKeystringOptional
get/getAssetInfo/{mint}
GET /getAssetInfo/{mint} HTTP/1.1
Accept: */*
[
  {
    "publicKey": "text",
    "account": {
      "initializerKey": "text",
      "initializerTokenAccount": "text",
      "mint": "text",
      "holder": "text",
      "collection": "text",
      "rate": "text",
      "offerExpiry": "text",
      "rentExpiry": "text",
      "state": {
        "stale": {}
      },
      "minDuration": "text",
      "fixedDuration": "text",
      "ownerRevenue": "text",
      "holderTokenAccount": "text",
      "whitelist": "text",
      "loanExpiry": "text",
      "bidManagerKey": "text",
      "rentIsFixed": true,
      "lockedInVault": true,
      "vaultAccount": "text"
    }
  }
]

7. Take Loan

Collection holders can claim loan on their NFTs.

post

Loan on list bid manager

Body
biddingpoolstringOptionalExample: 1
biddingmanagerstringOptionalExample: 1
nftmintstringOptionalExample: 1
secretstringOptionalExample: abcd
rawbooleanOptionalExample: false
Responses
200

Successful response

application/json; charset=utf-8
msgstringOptionalExample: successful
post/processLoan
POST /processLoan HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 82

{
  "biddingpool": "1",
  "biddingmanager": "1",
  "nftmint": "1",
  "secret": "abcd",
  "raw": false
}
{
  "msg": "successful"
}

8. Repay Loan

Repay loan already taken by the user.

post

Repay an Loan

Body
biddingpoolaccountstringOptionalExample: 7YeSmq9njjsyr4Axb1LDzdooUaVJThXdgHE4Z6Gpaa3h
biddingmanagerstringOptionalExample: 1
nftmintstringOptionalExample: 1
secretstringOptionalExample: abcd
rawbooleanOptionalExample: false
Responses
200

Successful response

application/json; charset=utf-8
msgstringOptionalExample: successful
post/repayLoan
POST /repayLoan HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 132

{
  "biddingpoolaccount": "7YeSmq9njjsyr4Axb1LDzdooUaVJThXdgHE4Z6Gpaa3h",
  "biddingmanager": "1",
  "nftmint": "1",
  "secret": "abcd",
  "raw": false
}
{
  "msg": "successful"
}

9. Remove Liquidity

Liquidity providers can remove provided liquidity.

post

Cancel a bidding manager

Body
biddingpoolstringOptionalExample: 7YeSmq9njjsyr4Axb1LDzdooUaVJThXdgHE4Z6Gpaa3h
biddingmanagerstringOptionalExample: 1
secretstringOptionalExample: abcd
rawbooleanOptionalExample: false
Responses
200

Successful response

application/json; charset=utf-8
msgstringOptionalExample: successful
post/removeLoanOffer
POST /removeLoanOffer HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 111

{
  "biddingpool": "7YeSmq9njjsyr4Axb1LDzdooUaVJThXdgHE4Z6Gpaa3h",
  "biddingmanager": "1",
  "secret": "abcd",
  "raw": false
}
{
  "msg": "successful"
}

Last updated